Get Public Invoice
curl --request GET \
--url https://api.example.com/api/v1/public/invoices/{invoice_id}import requests
url = "https://api.example.com/api/v1/public/invoices/{invoice_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/public/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"status": "draft",
"items": [
{
"name": "<string>",
"quantity": 123,
"price": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"invoiceNumber": "<string>",
"issuedDate": "2023-12-25",
"dueDate": "2023-12-25",
"client": {
"email": "<string>",
"displayName": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"contractor": {
"email": "<string>",
"displayName": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"paymentMethods": [],
"contract": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentName": "<string>",
"documentLink": "<string>"
},
"documents": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Public
Get Public Invoice
Public invoice details — no auth required.
GET
/
api
/
v1
/
public
/
invoices
/
{invoice_id}
Get Public Invoice
curl --request GET \
--url https://api.example.com/api/v1/public/invoices/{invoice_id}import requests
url = "https://api.example.com/api/v1/public/invoices/{invoice_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/public/invoices/{invoice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"status": "draft",
"items": [
{
"name": "<string>",
"quantity": 123,
"price": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"invoiceNumber": "<string>",
"issuedDate": "2023-12-25",
"dueDate": "2023-12-25",
"client": {
"email": "<string>",
"displayName": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"contractor": {
"email": "<string>",
"displayName": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "AF",
"zip": "<string>"
}
},
"paymentMethods": [],
"contract": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentName": "<string>",
"documentLink": "<string>"
},
"documents": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
Invoice status.
Available options:
draft, sent, paid, cancelled, client_paid, client_declined Show child attributes
Show child attributes
Alias clients read instead of id; the two can never disagree.
Minimal participant info for invoice response.
Show child attributes
Show child attributes
Minimal participant info for invoice response.
Show child attributes
Show child attributes
paymentMethods
(IBANAccountDetails · object | USExternalAccountDetails · object | SwiftAccountDetails · object | PixAccountDetails · object | LocalRailAccountDetails · object | ProviderUsdAccountDetails · object | ContactWalletResponse · object | EmailAccountInput · object)[]
IBAN (SEPA) external account.
- IBANAccountDetails
- USExternalAccountDetails
- SwiftAccountDetails
- PixAccountDetails
- LocalRailAccountDetails
- ProviderUsdAccountDetails
- ContactWalletResponse
- EmailAccountInput
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?